package com.starbuds.server.service.feed.dao;

import com.starbuds.server.common.pojo.db.StatRewardFeedGiftDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Collection;
import java.util.List;

/**
 * 送礼物-打赏动态数据统计
 */
@Mapper
@Repository
public interface StatRewardFeedGiftDAO {

    /**
     * 统计总数
     *
     * @param statTimeType
     * @param bizIds
     * @param statType
     * @return
     */
    List<StatRewardFeedGiftDO> selectTotalReward(@Param("statTimeType") int statTimeType,
                                                 @Param("bizIds") Collection<Long> bizIds,
                                                 @Param("statType") int statType);
}
